Subject: Re: linux-next: manual merge of the wireless-drivers-next tree with the kspp-gustavo tree

From: "Gustavo A. R. Silva" <[email-masked]>
Date: Fri, 21 Aug 2020 01:58:56 -0500

Hi Kalle,

On 8/19/20 01:26, Kalle Valo wrote:
> Stephen Rothwell <[email-masked]> writes:
> 
>> Today's linux-next merge of the wireless-drivers-next tree got a
>> conflict in:
>>
>>   drivers/net/wireless/ath/ath11k/dp_rx.c
>>
>> between commit:
>>
>>   58e813cceabd ("treewide: Use fallthrough pseudo-keyword")
>>
>> from the kspp-gustavo tree and commit:
>>
>>   0b294aebb6a0 ("ath11k: Use fallthrough pseudo-keyword")
>>
>> from the wireless-drivers-next tree.
>>
>> I fixed it up (the latter removed an extra blank line) and can carry the
>> fix as necessary. This is now fixed as far as linux-next is concerned,
>> but any non trivial conflicts should be mentioned to your upstream
>> maintainer when your tree is submitted for merging.  You may also want
>> to consider cooperating with the maintainer of the conflicting tree to
>> minimise any particularly complex conflicts.
> 
> Gustavo, why do you have patches changing ath11k in your tree? PLEASE
> don't do that! Instead properly send them to linux-wireless and ath11k
> lists, as you have done before. That way there are no unncessary
> conflicts like this one which cause extra work for the maintainers.
> 

Sure thing. Sorry about that. I just sent out some patches to address the
vast majority of the remaining fall-through conversions to make in
drivers/net/wireless/

Thanks
--
Gustavo